tigase.io

## Class SSLContextContainer.HardenedModeVHostItemExtension

- java.lang.Object
- - tigase.vhosts.VHostItemExtension<T>
  - - tigase.vhosts.AbstractVHostItemExtension<SSLContextContainer.HardenedModeVHostItemExtension>
    - - tigase.io.SSLContextContainer.HardenedModeVHostItemExtension

- All Implemented Interfaces:
    VHostItemExtensionBackwardCompatible<SSLContextContainer.HardenedModeVHostItemExtension>, VHostItemExtensionIfc<SSLContextContainer.HardenedModeVHostItemExtension>
  Enclosing class:
    SSLContextContainer

      public static class SSLContextContainer.HardenedModeVHostItemExtension
      extends AbstractVHostItemExtension<SSLContextContainer.HardenedModeVHostItemExtension>
      implements VHostItemExtensionBackwardCompatible<SSLContextContainer.HardenedModeVHostItemExtension>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardenedModeVHostItemExtension()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandFields(String prefix, Packet packet, boolean forDefault)`
    `String` | `getId()`
    `SSLContextContainer.HARDENED_MODE` | `getMode()`
    `void` | `initFromCommand(String prefix, Packet packet)`
    `void` | `initFromData(Map<String,Object> data)`
    `void` | `initFromElement(Element item)`
    `SSLContextContainer.HardenedModeVHostItemExtension` | `mergeWithDefaults(SSLContextContainer.HardenedModeVHostItemExtension defaults)`
    `static SSLContextContainer.HARDENED_MODE` | `parseHardenedModeFromString(String modeString)`
    `String` | `toDebugString()`
    `Element` | `toElement()`

    - ### Methods inherited from class tigase.vhosts.AbstractVHostItemExtension

      `addBooleanFieldWithDefaultToCommand`

    - ### Methods inherited from class tigase.vhosts.VHostItemExtension

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HardenedModeVHostItemExtension

          public HardenedModeVHostItemExtension()

  - ### Method Detail

    - #### parseHardenedModeFromString

          public static SSLContextContainer.HARDENED_MODE parseHardenedModeFromString(String modeString)

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `VHostItemExtensionIfc<SSLContextContainer.HardenedModeVHostItemExtension>`

    - #### initFromElement

          public void initFromElement(Element item)

      Specified by:
        `initFromElement` in interface `VHostItemExtensionIfc<SSLContextContainer.HardenedModeVHostItemExtension>`

    - #### initFromCommand

          public void initFromCommand(String prefix,
                                      Packet packet)
                               throws IllegalArgumentException

      Specified by:
        `initFromCommand` in interface `VHostItemExtensionIfc<SSLContextContainer.HardenedModeVHostItemExtension>`
      Throws:
        `IllegalArgumentException`

    - #### getMode

          public SSLContextContainer.HARDENED_MODE getMode()

    - #### toDebugString

          public String toDebugString()

      Specified by:
        `toDebugString` in interface `VHostItemExtensionIfc<SSLContextContainer.HardenedModeVHostItemExtension>`

    - #### toElement

          public Element toElement()

      Specified by:
        `toElement` in interface `VHostItemExtensionIfc<SSLContextContainer.HardenedModeVHostItemExtension>`

    - #### addCommandFields

          public void addCommandFields(String prefix,
                                       Packet packet,
                                       boolean forDefault)

      Specified by:
        `addCommandFields` in interface `VHostItemExtensionIfc<SSLContextContainer.HardenedModeVHostItemExtension>`

    - #### initFromData

          public void initFromData(Map<String,Object> data)

      Specified by:
        `initFromData` in interface `VHostItemExtensionBackwardCompatible<SSLContextContainer.HardenedModeVHostItemExtension>`

    - #### mergeWithDefaults

          public SSLContextContainer.HardenedModeVHostItemExtension mergeWithDefaults(SSLContextContainer.HardenedModeVHostItemExtension defaults)

      Specified by:
        `mergeWithDefaults` in class `VHostItemExtension<SSLContextContainer.HardenedModeVHostItemExtension>`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.